Support » Plugin: License Manager for WooCommerce » I tried to deactivate a license key

  • Resolved daviidck

    (@daviidck)


    Fatal error: Uncaught Error: Call to a member function prepare_items() on null in /var/www/html/shop.example.net/wp-content/plugins/license-manager-for-woocommerce/templates/licenses/page-list.php:16 Stack trace: #0 /var/www/html/shop.example.net/wp-content/plugins/license-manager-for-woocommerce/templates/page-licenses.php(10): include_once() #1 /var/www/html/shop.example.net/wp-content/plugins/license-manager-for-woocommerce/includes/AdminMenus.php(198): include('/var/www/html/s...') #2 /var/www/html/shop.example.net/wp-includes/class-wp-hook.php(286): LicenseManagerForWooCommerce\AdminMenus->licensesPage('') #3 /var/www/html/shop.example.net/wp-includes/class-wp-hook.php(310): WP_Hook->apply_filters('', Array) #4 /var/www/html/shop.example.net/wp-includes/plugin.php(465): WP_Hook->do_action(Array) #5 /var/www/html/shop.example.net/wp-admin/admin.php(253): do_action('toplevel_page_l...') #6 {main} thrown in /var/www/html/shop.example.net/wp-content/plugins/license-manager-for-woocommerce/templates/licenses/page-list.php on line 16

    I searched for a license key, then clicked deactivate.

Viewing 6 replies - 1 through 6 (of 6 total)
  • Plugin Author Drazen Bebic

    (@drazenbebic)

    Hello @daviidck,

    I was able to reproduce the problem. I will fix this for the upcoming patch version (2.0.2).

    In the meantime, as a workaround, you can use the bulk actions instead of clicking the license key. Here’s a screenshot:

    https://snipboard.io/8w3Tqy.jpg

    Thanks for letting me know!

    Hi Drazen,

    I’m facing an issue as shown below. Can you advise?

    “”Plugin could not be activated because it triggered a fatal error.

    Parse error: syntax error, unexpected T_STRING in /home1/pappades/public_html/bonline/wp-content/plugins/license-manager-for-woocommerce/license-manager-for-woocommerce.php on line 17 “”

    Thank you
    Michael

    Plugin Author Drazen Bebic

    (@drazenbebic)

    Hello @howcani,

    thank you for your message and for your interest in my plugin.

    which PHP version do you use?

    Hi, it’s ver 5.2.17.

    Plugin Author Drazen Bebic

    (@drazenbebic)

    @howcani,

    that’s the problem, your PHP version is SERIOUSLY out of date. The plugin does not work with anything below version 5.6, although you shouldn’t even use 5.6 anymore.

    https://www.php.net/supported-versions.php

    Please update to either 7.2 or 7.3, everything should be working then.

    Alright, thank you. I will upgrade accordingly.

    Cheers.

Viewing 6 replies - 1 through 6 (of 6 total)
  • You must be logged in to reply to this topic.